---
lang: en
title: 'API docs: service-proxy.class.(new)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.class.(new).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [Class](./service-proxy.class.md) &gt; [(new)](./service-proxy.class.(new).md)

## Class.(new)

<b>Signature:</b>

```typescript
new (...args: any[]): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  args | <code>any[]</code> |  |

<b>Returns:</b>

`T`


